## org.apache.poi.ss.format
Class CellGeneralFormatter

    java.lang.Object
      org.apache.poi.ss.format.CellFormatter
          org.apache.poi.ss.format.CellGeneralFormatter

    public class CellGeneralFormatter

extends CellFormatter

A formatter for the default "General" cell format.

Author:
  Ken Arnold, Industrious Media LLC

Field Summary

Fields inherited from class org.apache.poi.ss.format.CellFormatter
`format, LOCALE`

Constructor Summary
`CellGeneralFormatter()` Creates a new general formatter.

Method Summary
`void` `formatValue(java.lang.StringBuffer toAppendTo, java.lang.Object value)` The general style is not quite the same as any other, or any combination of others.
`void` `simpleValue(java.lang.StringBuffer toAppendTo, java.lang.Object value)` Equivalent to `formatValue(StringBuffer,Object)`.

Methods inherited from class org.apache.poi.ss.format.CellFormatter
`format, simpleFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellGeneralFormatter

    public CellGeneralFormatter()

  Creates a new general formatter.

Method Detail

### formatValue

    public void formatValue(java.lang.StringBuffer toAppendTo,
                            java.lang.Object value)

  The general style is not quite the same as any other, or any combination of others.

  Specified by:
    `formatValue` in class `CellFormatter`
  Parameters:
    `toAppendTo` - The buffer to append to.
    `value` - The value to format.

### simpleValue

    public void simpleValue(java.lang.StringBuffer toAppendTo,
                            java.lang.Object value)

  Equivalent to `formatValue(StringBuffer,Object)`. Format a value according to the type, in the most basic way..

  Specified by:
    `simpleValue` in class `CellFormatter`
  Parameters:
    `toAppendTo` - The buffer to append to.
    `value` - The value to format.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.